<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <title>U of C tiles with with Google Maps v3 API</title>
        <style type="text/css">
        </style>
    </head>
    <body>

    <h1>A Google API example</h1>

    <div id="map" style="width: 600px; height: 500px; border: 1px solid black;"></div>

        <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
        <script type="text/javascript">
            var element = document.getElementById("map");
 
            /*
            Build list of map types.
            You can also use var mapTypeIds = ["roadmap", "satellite", "hybrid", "terrain", "UofC"]
            but static lists sucks when google updates the default list of map types.
            */
            var mapTypeIds = [];
            for(var type in google.maps.MapTypeId) {
                mapTypeIds.push(google.maps.MapTypeId[type]);
            }
            mapTypeIds.push("UofC");
 
            var map = new google.maps.Map(element, {
                center: new google.maps.LatLng(52.20338, 0.1197),
                zoom: 16,
                mapTypeId: "UofC",
                mapTypeControlOptions: {
                    mapTypeIds: mapTypeIds
                }
            });
 
            map.mapTypes.set("UofC", new google.maps.ImageMapType({
                getTileUrl: function(coord, zoom) {
                    return "https://map.cam.ac.uk/tiles/" + zoom + "/" + coord.x + "/" + coord.y + ".png";
                },
                tileSize: new google.maps.Size(256, 256),
                name: "U of C",
                maxZoom: 19
            }));
        </script>
    </body>
</html>
